
Foreman - Feature #2272

Add Capybara integration testing

03/03/2013 10:11 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Tests   

Target version: 1.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

to help catch errors when refactoring for 3.2

Associated revisions

Revision 44463600 - 03/11/2013 08:32 AM - Joseph Magen

fixes #2272 setup capybara and spork and modified test_helper for future integration testing

Revision c0005dcd - 09/11/2013 07:42 AM - Joseph Magen

Fixes #2272 - added Capybara integration tests, but without javascripts tests

Revision 2c5530ec - 09/11/2013 09:24 AM - Joseph Magen

fixes #2272 continuation - NameError: undefined local variable or method postgresql_version for ConnectionAdapters::SQLite3Adapter

History

#1 - 03/11/2013 09:35 AM - Joseph Magen

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 444636008e799264ee72fd9023cd2068ea2e8e54.

#2 - 09/11/2013 07:45 AM - Dominic Cleal

- Status changed from Closed to Ready For Testing

- Target version changed from 1.2.0 to 1.3.0

- % Done changed from 100 to 50

The first commit only put in the framework, so now this adds in the tests themselves:

https://github.com/theforeman/foreman/pull/612

#3 - 09/11/2013 08:31 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 50 to 100

Applied in changeset c0005dcd68dbc041861fcdbfb996b9a9e2f6bbf5.
